Bug 122783 - [PATCH] editors/emacs: update to 22.2
Summary: [PATCH] editors/emacs: update to 22.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-15 06:20 UTC by Yasuhiro KIMURA
Modified: 2008-06-03 15:40 UTC (History)
0 users

See Also:


Attachments
patch-emacs (22.93 KB, text/plain)
2008-04-15 06:20 UTC, Yasuhiro KIMURA
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2008-04-15 06:20:01 UTC
	- Update editors/emacs to 22.2 and change bsd.emacs.mk accordingly.
	- Fix comment about emacs-devel in bsd.emacs.mk.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-15 06:20:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Giorgos Keramidas freebsd_committer 2008-04-15 16:10:48 UTC
On Tue, 15 Apr 2008 14:13:11 +0900 (JST), KIMURA Yasuhiro <yasu@utahime.org> wrote:
>>Number:         122783
>>Category:       ports
>>Synopsis:       [PATCH] editors/emacs: update to 22.2

>>Description:
> 	- Update editors/emacs to 22.2 and change bsd.emacs.mk accordingly.
> 	- Fix comment about emacs-devel in bsd.emacs.mk.

Thanks for the upgrade patch!

I am building a patched version of the port now, with these changes :)
Comment 3 Giorgos Keramidas freebsd_committer 2008-04-15 16:50:20 UTC
On Tue, 15 Apr 2008 14:13:11 +0900 (JST), KIMURA Yasuhiro <yasu@utahime.org> wrote:
> System: FreeBSD xxxx 7.0-RELEASE FreeBSD 7.0-RELEASE #0: Mon Mar 31 14:10:51 JST 2008 xxxx i386

Something is missing...  After patching a local checkout of the port, I
can't install the copy I just built of editors/emacs.  It fails with:

cc -shared  .libs/libgiofam_la-fam-helper.o
  .libs/libgiofam_la-fam-module.o
  .libs/libgiofam_la-gfamdirectorymonitor.o
  .libs/libgiofam_la-gfamfilemonitor.o  -Wl,--rpath -Wl,/usr/local/lib
  -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib
  /usr/local/lib/libintl.so -lgio-2.0 /usr/local/lib/libgobject-2.0.so
  /usr/local/lib/libglib-2.0.so /usr/local/lib/libfam.so  -Wl,-soname
  -Wl,libgiofam.so -Wl,-retain-symbols-file -Wl,.libs/libgiofam.exp -o
  .libs/libgiofam.so
  /usr/bin/ld: cannot find -lgio-2.0
Comment 4 Boris B.Samorodov 2008-04-29 08:41:01 UTC
Giorgos, I didn't have problems with the patch both at tinderbox
(tested for i386 [567]-STABLE) and in using it -- this message
is written at the new version. Though I use only packages to
upgrade.


WBR
-- 
bsam
Comment 5 Yasuhiro KIMURA 2008-05-01 02:57:51 UTC
Hello Keramidas-san.

Do you succeed in installation? Please let me know current status.

Regards.
Comment 6 Yasuhiro KIMURA 2008-05-11 12:34:40 UTC
Since this update causes change of EMACS_VERSION_SITE_LISPDIR, all
emacs lisp ports must be reinstalled to make them work collectly.
So please add following entry to ports/UPDATING when committing this
patch.

Regards.

----------------------------------------------------------------------
2008????:
  AFFECTS: users of editors/emacs
  AUTHOR: (Maintainer's mail address?)

  editors/emacs port is updated to 22.2, and some of emacs lisp
  directory is changed. So you should reinstall all ports depending on
  this one. Run somethin like:

  # portupgrade -fr emacs
----------------------------------------------------------------------
Comment 7 Yasuhiro KIMURA 2008-05-11 13:30:38 UTC
Dear committers,

Would someone please commit this PR with maintainter timeout?

Regards.

---
Yasuhiro KIMURA
Comment 8 Boris Samorodov freebsd_committer 2008-06-03 13:18:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Take.
Comment 9 Boris B.Samorodov 2008-06-03 13:39:49 UTC
Hm, seems that the port can't do 'make patch' with the recent ports
tree (is it autotools?). The patch patch-configure is not needed and
some more work is needed. Kimura-san, can you look at it? Thanks!

WBR
-- 
bsam
Comment 10 Yasuhiro KIMURA 2008-06-03 14:35:38 UTC
Hello Samorodov-san.

> Hm, seems that the port can't do 'make patch' with the recent ports
> tree (is it autotools?). The patch patch-configure is not needed and
> some more work is needed. Kimura-san, can you look at it? Thanks!

According to commit logs, the patch to build Emacs 22.1 on ARM
platform was committed after I sent this PR:

http://lists.freebsd.org/pipermail/cvs-ports/2008-May/148529.html
http://lists.freebsd.org/pipermail/cvs-ports/2008-May/148669.html

I checked source code of 22.2 and found that content of
patch-configure is already included in original 'configure' file of
22.2. That is, patch-configure is not for 22.2 but for 22.1. So it can
be safely removed from CVS repository when we update to 22.2.

Regards.
Comment 11 dfilter service freebsd_committer 2008-06-03 15:37:03 UTC
bsam        2008-06-03 14:36:50 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
    Mk                   bsd.emacs.mk 
    editors/emacs        Makefile distinfo pkg-plist 
  Removed files:
    editors/emacs/files  patch-configure patch-src-gmalloc.c 
  Log:
  - Update editors/emacs to 22.2.
  - Change bsd.emacs.mk accordingly.
  - Fix comment about emacs-devel in bsd.emacs.mk.
  - Some lisp directories are changed, add a note to UPDATING.
  
  PR:             122783
  Submitted by:   KIMURA Yasuhiro <yasu at utahime.org>
  Approved by:    keramida (maintainer timeout, 6 weeks)
  
  Revision  Changes    Path
  1.73      +3 -3      ports/Mk/bsd.emacs.mk
  1.637     +11 -1     ports/UPDATING
  1.77      +2 -2      ports/editors/emacs/Makefile
  1.13      +3 -3      ports/editors/emacs/distinfo
  1.2       +0 -10     ports/editors/emacs/files/patch-configure (dead)
  1.2       +0 -606    ports/editors/emacs/files/patch-src-gmalloc.c (dead)
  1.27      +20 -2     ports/editors/emacs/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Boris Samorodov freebsd_committer 2008-06-03 15:37:46 UTC
State Changed
From-To: feedback->closed

Committed, thanks!